Bug 1306148 (CVE-2016-2317, CVE-2016-2318)

Summary: CVE-2016-2317 CVE-2016-2318 GraphicsMagick: SVG parsing issues
Product: [Other] Security Response Reporter: Martin Prpič <mprpic>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED UPSTREAM QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: andreas, carnil, rdieter, sardella
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2019-06-08 02:48:16 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 1306149, 1306150    
Bug Blocks:    

Description Martin Prpič 2016-02-10 08:06:07 UTC
Various issues were found in the processing of SVG files in GraphicsMagick:

http://seclists.org/oss-sec/2016/q1/297

Upstream patches are not available yet.

Comment 1 Martin Prpič 2016-02-10 08:06:33 UTC
Created GraphicsMagick tracking bugs for this issue:

Affects: fedora-all [bug 1306149]
Affects: epel-all [bug 1306150]

Comment 2 Andrej Nemec 2016-02-12 08:36:34 UTC
CVE assignment:

http://seclists.org/oss-sec/2016/q1/314

Comment 3 Fedora Update System 2016-06-17 18:16:56 UTC
GraphicsMagick-1.3.24-1.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.

Comment 4 Fedora Update System 2016-06-17 22:46:44 UTC
GraphicsMagick-1.3.24-1.el5 has been pushed to the Fedora EPEL 5 stable repository. If problems still persist, please make note of it in this bug report.

Comment 5 Fedora Update System 2016-06-18 15:47:34 UTC
GraphicsMagick-1.3.24-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2016-06-18 18:53:11 UTC
GraphicsMagick-1.3.24-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2016-06-19 07:19:11 UTC
GraphicsMagick-1.3.24-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2016-06-19 07:26:38 UTC
GraphicsMagick-1.3.24-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 9 Product Security DevOps Team 2019-06-08 02:48:16 UTC
This CVE Bugzilla entry is for community support informational purposes only as it does not affect a package in a commercially supported Red Hat product. Refer to the dependent bugs for status of those individual community products.